#include <bits/stdc++.h>
using namespace std;
int n,x,a[1000060],br,g,c;
int main (){
cin>>n>>x;
for(int i=1;i<=n;i++){
    cin>>a[i];
    }
sort(a+1,a+n+1);
if(a[1]<x and a[n]>x){
    g=a[n]-x;
    c=x-a[1];
    br=2*min(g,c)+max(g,c);
}
else if(a[n]<=x){
    br=x-a[1];
}
else if(a[1]>=x){
    br=abs(x-a[n]);
}
cout<<br<<endl;


return 0;
}